Bug 676359 - (CVE-2011-0697) CVE-2011-0697 Django Potential XSS in file field rendering
CVE-2011-0697 Django Potential XSS in file field rendering
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110209,reported=20110209,sou...
: Security
Depends On: 676360
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-09 11:08 EST by Josh Bressers
Modified: 2016-03-04 06:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-17 07:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2011-02-09 11:08:18 EST
http://www.djangoproject.com/weblog/2011/feb/08/security/

Django's form system includes form fields and widgets for performing file
uploads; in rendering these fields, the name of the file currently stored
in the field is displayed. In the process of rendering, the filename is
displayed without being escaped, as reported by Trac user "e.generalov".

In many cases this does not result in a cross-site-scripting vulnerability,
as file-storage backends can and are encouraged to (and the default
backends provided with Django do) sanitize the supplied filename according
to their requirements. However, the risk of a vulnerability appearing in a
backend which does not sanitize, or which performs insufficient
sanitization, is such that Django will now automatically escape filenames
in form rendering.
Comment 1 Josh Bressers 2011-02-09 11:09:35 EST
Created Django tracking bugs for this issue

Affects: fedora-all [bug 676360]
Comment 2 Michel Alexandre Salim 2011-03-17 07:21:40 EDT
All our branches now have either 1.2.5 or 1.1.4 as stable releases -- it appears that they were pushed without tagging the affected bugs.

Note You need to log in before you can comment on or make changes to this bug.